For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create Previred Transaction

Service that starts the complete Integration Flow with Previred and returns a transaction identifier.

This service processes all Previred validation data, generates the evidence and compliance documentation, and returns a transaction ID that can be used to retrieve the generated Token and the evidence documents.

Prerequisites

Before calling this service, you need to have:

  • A serviceTransactionId valid one obtained by calling /onboarding/v2/identity.

  • A scanReference valid one obtained by calling /verify/documentValidation/v2/start.

Endpoint

POST /services/previred

Headers

Name
Type
Required
Description

x-api-key

string

Yes

Access authorization API Key.

Request body

Content-Type: application/json

Parameters

Parameter
Type
Required
Description

customerId

string

Yes

Customer ID assigned to the institution making the request.

identityTransactionId

string

Yes

Identifier returned when calling /v2/identity.

documentValidationScanReference

string

Yes

Identifier returned when calling /verify/documentValidation/v2/start.

ipVerified

string

Yes

IP address of the Identity Verification Endpoint.

callbackUrl

string

No

Optional callback URL for transaction completion notifications.

Request example

Responses

200 Success

Response parameters

Parameter
Type
Description

timestamp

integer

Unix timestamp of the response in seconds.

transactionId

string

Transaction ID linked to the evidence generation process.

hash

string

Control string of the message received by the service (informational data).

Response example

400 Bad Request

401 Unauthorized

403 Forbidden

404 Not Found

502 Bad Gateway

504 Gateway Timeout

Last updated